List discovered connections
curl --request GET \
--url https://matcher.sandbox.lerian.net/v1/discovery/connections \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://matcher.sandbox.lerian.net/v1/discovery/connections"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://matcher.sandbox.lerian.net/v1/discovery/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://matcher.sandbox.lerian.net/v1/discovery/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"connections": [
{
"configName": "prod-ledger-db",
"databaseName": "ledger",
"databaseType": "POSTGRESQL",
"host": "db.internal.example.com",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"lastSeenAt": "2026-06-17T14:32:05Z",
"port": 5432,
"schemaDiscovered": true,
"status": "available",
"userName": "matcher_ro",
"baseURL": "https://sandbox.provider.example",
"schema": "public"
}
]
}List discovered connections
Use this endpoint to retrieve all discovered connections available for the current tenant.
GET
/
v1
/
discovery
/
connections
List discovered connections
curl --request GET \
--url https://matcher.sandbox.lerian.net/v1/discovery/connections \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://matcher.sandbox.lerian.net/v1/discovery/connections"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://matcher.sandbox.lerian.net/v1/discovery/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://matcher.sandbox.lerian.net/v1/discovery/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"connections": [
{
"configName": "prod-ledger-db",
"databaseName": "ledger",
"databaseType": "POSTGRESQL",
"host": "db.internal.example.com",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"lastSeenAt": "2026-06-17T14:32:05Z",
"port": 5432,
"schemaDiscovered": true,
"status": "available",
"userName": "matcher_ro",
"baseURL": "https://sandbox.provider.example",
"schema": "public"
}
]
}Authorizations
Bearer token authentication (format: "Bearer {token}")
Headers
A unique identifier for tracing the request across services.
Response
List of discovered connections
Discovered connections scoped to the current tenant
Show child attributes
Show child attributes
Was this page helpful?

